﻿$ErrorActionPreference = 'Stop';

$packageName= 'pragmaticworksworkbenchserver'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.1/Workbench_Server_2017.1.5.209.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'Workbench Server*'
  checksum = '353E198F9035871AC0219A1E03631262A251A9027AF16A102647C15C070242FE'
  checksumType = 'sha256'
  checksum64 = 'MzUzRTE5OEY5MDM1ODcxQUMwMjE5QTFFMDM2MzEyNjJBMjUxQTkwMjdBRjE2QTEwMjY0N0MxNUMwNzAyNDJGRQ=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
